List Dashboard Virtual Machines
Authorization<token>
Bearer token
In: header
X-Organization-ID<token>
Tenant or organization identifier
In: header
Query Parameters
platformId?string
regionId?string
nodeId?string
customerEmailContains?string
vmPage?integer
Format
int32vmPageSize?integer
Format
int32vmtemplateId?string
Response Body
application/json
curl -X GET "https://api.nrings.io/v1/provider/dashboard/virtual-machines?platformId®ionId&nodeId&customerEmailContains&vmPage&vmPageSize&vmtemplateId" \ -H "Authorization: Bearer {your_token}" \ -H "X-Organization-ID: {your_org_id}"{
"dashboardVmCountTotal": 0,
"virtualMachines": [
{
"id": "string",
"hostname": "string",
"cpu": 0,
"memoryMb": 0,
"storageMb": 0,
"distro": "DISTRO_UNSPECIFIED",
"clientOrganizationId": "string",
"clientContactEmail": "string",
"ipv4Address": "string",
"ipv6Address": "string",
"macAddress": "string"
}
],
"vmtemplateIdsWithVirtualMachines": [
"string"
]
}